net.minecraft.world.gen.structure

## Class MapGenStructureIO

- java.lang.Object
- - net.minecraft.world.gen.structure.MapGenStructureIO

-     public class MapGenStructureIO
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapGenStructureIO()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `func_143031_a(java.lang.Class par0Class, java.lang.String par1Str)`
    `static StructureComponent` | `func_143032_b(NBTTagCompound par0NBTTagCompound, World par1World)`
    `static java.lang.String` | `func_143033_a(StructureStart par0StructureStart)`
    `static StructureStart` | `func_143035_a(NBTTagCompound par0NBTTagCompound, World par1World)`
    `static java.lang.String` | `func_143036_a(StructureComponent par0StructureComponent)`
    `static void` | `registerStructure(java.lang.Class par0Class, java.lang.String par1Str)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapGenStructureIO

          public MapGenStructureIO()

  - ### Method Detail

    - #### registerStructure

          public static void registerStructure(java.lang.Class par0Class,
                               java.lang.String par1Str)

    - #### func_143031_a

          public static void func_143031_a(java.lang.Class par0Class,
                           java.lang.String par1Str)

    - #### func_143033_a

          public static java.lang.String func_143033_a(StructureStart par0StructureStart)

    - #### func_143036_a

          public static java.lang.String func_143036_a(StructureComponent par0StructureComponent)

    - #### func_143035_a

          public static StructureStart func_143035_a(NBTTagCompound par0NBTTagCompound,
                                     World par1World)

    - #### func_143032_b

          public static StructureComponent func_143032_b(NBTTagCompound par0NBTTagCompound,
                                         World par1World)